package cn.com.poc.long_document.domain;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/8/29
 */
public class MindMap {
    private String id;

    private String topic;

    private Boolean root;

    private List<MindMap> children;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public Boolean getRoot() {
        return root;
    }

    public void setRoot(Boolean root) {
        this.root = root;
    }

    public List<MindMap> getChildren() {
        return children;
    }

    public void setChildren(List<MindMap> children) {
        this.children = children;
    }
}
